Skip to main content
GET
/
api
/
v1
/
portfolios
/
{portfolio}
/
margin-call-status
Get portfolio margin call status
curl --request GET \
  --url https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/margin-call-status \
  --header 'CB-ACCESS-KEY: <api-key>' \
  --header 'CB-ACCESS-PASSPHRASE: <api-key>' \
  --header 'CB-ACCESS-SIGN: <api-key>' \
  --header 'CB-ACCESS-TIMESTAMP: <api-key>'
import requests

url = "https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/margin-call-status"

headers = {
"CB-ACCESS-KEY": "<api-key>",
"CB-ACCESS-PASSPHRASE": "<api-key>",
"CB-ACCESS-SIGN": "<api-key>",
"CB-ACCESS-TIMESTAMP": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'CB-ACCESS-KEY': '<api-key>',
'CB-ACCESS-PASSPHRASE': '<api-key>',
'CB-ACCESS-SIGN': '<api-key>',
'CB-ACCESS-TIMESTAMP': '<api-key>'
}
};

fetch('https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/margin-call-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "portfolio_id": "14thr7ft-1-0",
  "status": "MARGIN_CALL_PENDING",
  "margin_call_duration": "6H",
  "active_margin_call": {
    "start_time": "2023-01-29T14:32:28.000Z",
    "expiry_time": "2023-01-29T20:32:28.000Z",
    "margin_call_amount": 10200,
    "usdc_requirement": 500,
    "cure_requirements": {
      "initial_margin_deficit": true,
      "usdc_requirement": true
    }
  }
}

Authorizations

CB-ACCESS-KEY
string
header
required

The Client ID that owns the API Key for the request

CB-ACCESS-PASSPHRASE
string
header
required

The pass phrase affiliated with the API Key

CB-ACCESS-SIGN
string
header
required

A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY

CB-ACCESS-TIMESTAMP
string
header
required

The timestamp of when the request is being made

Path Parameters

portfolio
string
required

Identifies the portfolio by UUID (e.g., 892e8c7c-e979-4cad-b61b-55a197932cf1) or portfolio ID (e.g., 5189861793641175)

Response

Margin call status

portfolio_id
string

portfolio ID

Example:

"14thr7ft-1-0"

status
enum<string>

The status of the margin call

Available options:
NOT_LIQUIDATING,
MARGIN_CALL_PENDING,
LIQUIDATING
Example:

"MARGIN_CALL_PENDING"

margin_call_duration
string

the ISO 8601 duration from a margin call start to expiry

Example:

"6H"

active_margin_call
object

details of an active margin call if there is one